Bug 441320 - GDM keymap is US instead of FR
GDM keymap is US instead of FR
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 10:53 EDT by Dag
Modified: 2015-01-14 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 15:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag 2008-04-07 10:53:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
When installing default Fedora 9-Beta and choosing French everywhere, the installation process is all in french with an Azerty keymap (fr-latin-9).

After rebooting first time, it displayed "loading keymap ... fr-latin9.map".
I entered my password to access encrypted root filesystem (default install), the keymap is fr-latin-9 as my password contains 'm' and 'a' and was valid,  then running firstboot, I don't know which keymap it is.

Then GDM starts and the keymap is "US" (qwerty), I can see it when I try to enter the user name by hand at prompt.
GDM is in french (the displayed text).

And then in Gnome the keymap is also US (qwerty) and when the screen gets locked, the dialog box to unlock says "USA" after the password field. But all the menus and texts are in french.

Version-Release number of selected component (if applicable):
Fedora 9-Beta DVD gdm (no update done after base default graphical install)

How reproducible:
Always


Steps to Reproduce:
1. install F9-Beta with french parameters
2. then when GDM is displayed (and maybe also the "firstboot" program) the keymap is US
3.

Actual Results:
keyboard is US

Expected Results:
keyboard must have been fr-latin9 according to locales settings choosen during installation.

Additional info:
Comment 1 Dag 2008-04-18 12:23:11 EDT
I installed F9 preview and it is fixed.
Anyone to confirm so I can close this bug ?

Note You need to log in before you can comment on or make changes to this bug.